ResultPrinter (BioJava Demos API)
Keywords: ssaha.ResultPrinter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ssaha
Class ResultPrinter

    java.lang.Object
      ssaha.ResultPrinter

All Implemented Interfaces:
  org.biojava.bio.program.ssaha.SearchListener

    public class ResultPrinter

extends Object
implements org.biojava.bio.program.ssaha.SearchListener

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.program.ssaha.SearchListener
`org.biojava.bio.program.ssaha.SearchListener.Echo, org.biojava.bio.program.ssaha.SearchListener.FilterByLength, org.biojava.bio.program.ssaha.SearchListener.Tee, org.biojava.bio.program.ssaha.SearchListener.Wrapper`

Constructor Summary
`ResultPrinter(org.biojava.bio.program.ssaha.DataStore dataStore)`

Method Summary
`void` | `endSearch(String seqID)`
`void` | `hit(int hitID, int queryOffset, int hitOffset, int hitLength)`
`void` | `startSearch(String seqID)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResultPrinter

    public ResultPrinter(org.biojava.bio.program.ssaha.DataStore dataStore)

Method Detail

### startSearch

    public void startSearch(String seqID)

  Specified by:
    `startSearch` in interface `org.biojava.bio.program.ssaha.SearchListener`

### endSearch

    public void endSearch(String seqID)

  Specified by:
    `endSearch` in interface `org.biojava.bio.program.ssaha.SearchListener`

### hit

    public void hit(int hitID,
                    int queryOffset,
                    int hitOffset,
                    int hitLength)

  Specified by:
    `hit` in interface `org.biojava.bio.program.ssaha.SearchListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD